## org.eclipse.m2m.atl.debug.core.adwp
Class ObjectReference

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.adwp.Value
          org.eclipse.m2m.atl.debug.core.adwp.ObjectReference

Direct Known Subclasses:
  LocalObjectReference, LocalObjectReference, RemoteObjectReference

    public abstract class ObjectReference

extends Value

A reference to an object.

Field Summary
`protected int` `id`

Constructor Summary
`protected` `ObjectReference(int id)` Creates a new reference with the given id.

Method Summary
`abstract Value` `call(java.lang.String opName, java.util.List<Value> args)` Calls an operation with the given arguments.
`abstract Value` `get(java.lang.String propName)` Gets a value for the given property.
`int` `getId()`
`abstract void` `set(java.lang.String propName, Value value)` Sets a value for the given property.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

Constructor Detail

### ObjectReference

    protected ObjectReference(int id)

  Creates a new reference with the given id.

  Parameters:
    `id` - the id

Method Detail

### get

    public abstract Value get(java.lang.String propName)

  Gets a value for the given property.

  Parameters:
    `propName` - the property name
  Returns:
    the value

### set

    public abstract void set(java.lang.String propName,
                             Value value)

  Sets a value for the given property.

  Parameters:
    `propName` - the property name
    `value` - the value to set

### call

    public abstract Value call(java.lang.String opName,
                               java.util.List<Value> args)

  Calls an operation with the given arguments.

  Parameters:
    `opName` - the operation name
    `args` - the arguments
  Returns:
    the operation call result

### getId

    public int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.